Subject: [Pals] Is VCCV Type 4 ECMP-safe? (was: Ethernet not the only PW with no CW)

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 17 Dec 2014 16:05:03 +0000

Stewart, and all,
On October 25, you've sent an email<https://www.ietf.org/mail-archive/web/pwe3/current/msg13998.html> to Shahram and the PWE3 list that, in its last line, stated:
However I still don't see how GAL is ECMP safe given that we have no knowledge of the age/type of P router on the path.
I have not seen anything more since then on both the PWE3 and PALS mailing lists. And I think that you have raised a quite valid issue that seriously  affects applicability of VCCV Type 4.

Of course, one could argue that PWs that do not use CW are not ECMP-safe in any case, so using a VCCV that does not use the same path as the traffic packets is not a big deal.
But this does not look to me like a very convincing argument, especially when we speak about making VCCV Type 4 the default for PWs that do not use the CW,

egards,
       Sasha
Email: [email-masked]
Mobile: 054-9266302

From: Pals [mailto:[email-masked]] On Behalf Of Stewart Bryant
Sent: Wednesday, December 17, 2014 5:09 PM
To: [email-masked]
Subject: [Pals] Ethernet not the only PW with no CW

>From the minutes of IETF91

          Stewart presented the slides uploaded for the draft.  See the slides.

          Stewart noted that this draft should focus on points 1 and 2, and another

          draft should focus on issues 3 and 4.

          Stewart noted that previously Type 4 was agreed to be the default when

          there was not a control word, and the only time there isn't a control

          word is for Ethernet.  We should make it clear that Type 4 is the default

          for Ethernet.
This is indeed what I said, but I was incorrect because in for example HDLC
the CW is optional. Ethernet is the most important case of course, but it is not the
only one.

- Stewart